/* @LANG: c  */
#include <stdio.h>
#include <string.h>

%%{
machine foo;

 action beginning { pocz = p; }
 action ending    { printf("'%.*s'\n",(int)(p - pocz), pocz); }

 enter     = '\r\n' | '\n' ;
 komentarz = ( '/*' any* '*/' ) ;
 koment    = '%%' (any - enter)* ;
 wyraz = [a-z]+ >beginning %ending ;
 puste = ' ' | '\f' | '\t' | '\v' | koment | komentarz | enter ;

 main := puste* wyraz ( puste+ wyraz )* puste* ;

write data noerror nofinal;
}%%


int main(int argc, char **argv)
{
int cs = 0;
char *pocz;

 if (argc > 1)
  {
  char *p = argv[1];
  char *pe = p + strlen(p);
  char *eof = pe;
  %%write init;
  %%write exec;
  if ( cs < %%{ write first_final; }%% )
   {
   printf("\x1B[31mProblem\x1B[0m [%d]\n", %%{ write error; }%%);
   }
  printf(" cs=%d:ma być > od:%d:\n", cs, %%{ write first_final; }%%); };

return 0;
}
